Get list of key sets for form filling

Returns the list of key sets for form filling.

Parameters:

  • survey_id: form ID

Request

GET

https://api.forms.yandex.net/v1/surveys/{survey_id}/keysets

Path parameters

Name

Description

survey_id

Type: string

Pattern: ^[a-fA-F\d]{24}$

Example: ``

Responses

200 OK

OK

Body

application/json
[
  {
    "id": 0,
    "name": "example",
    "total": 0,
    "used": 0,
    "is_enabled": true
  }
]

Type: KeysetOut[]

KeysetOut

Name

Description

id

Type: integer

Key set ID

is_enabled

Type: boolean

Active key set flag

name

Type: string

Key set name

Example: example

total

Type: integer

Number of keys in the set

used

Type: integer

Number of used keys in the set

Example
{
  "id": 0,
  "name": "example",
  "total": 0,
  "used": 0,
  "is_enabled": true
}